/*******************************************************************************/
//  Bernard Lidicky - 2000
//  Hippo Games
//  Life
//  StatsDlg.cpp
/*******************************************************************************/

#include "stdafx.h"
#include "Life.h"
#include "StatsDlg.h"

#include "MainFrm.h"


/////////////////////////////////////////////////////////////////////////////
// CStatsDlg dialog


CStatsDlg::CStatsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CStatsDlg::IDD, pParent)
{
	CMainFrame *mf = (CMainFrame*) pParent;
	//{{AFX_DATA_INIT(CStatsDlg)
	m_c_porodu = mf->m_rod[1].born;
	m_c_kills = mf->m_rod[1].killed;
	m_c_pop = mf->m_rod[1].pop;
	m_c_total = mf->m_rod[1].popul;
	m_c_mrtvol = mf->m_rod[1].dead;
	m_m_kills = mf->m_rod[0].killed;
	m_m_porodu = mf->m_rod[0].born;
	m_m_pop = mf->m_rod[0].pop;
	m_m_total = mf->m_rod[0].popul;
	m_m_mrtvol = mf->m_rod[0].dead;
	//}}AFX_DATA_INIT
}


void CStatsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CStatsDlg)
	DDX_Text(pDX, IDC_CERVENYPORODU, m_c_porodu);
	DDX_Text(pDX, IDC_KILLSCERVENY, m_c_kills);
	DDX_Text(pDX, IDC_KILLSMODRY, m_m_kills);
	DDX_Text(pDX, IDC_MODRYPORODU, m_m_porodu);
	DDX_Text(pDX, IDC_POPCERVENY, m_c_pop);
	DDX_Text(pDX, IDC_POPMODRY, m_m_pop);
	DDX_Text(pDX, IDC_TOTALCERVENY, m_c_total);
	DDX_Text(pDX, IDC_TOTALMODRY, m_m_total);
	DDX_Text(pDX, IDC_ZTRATYCERVENY, m_c_mrtvol);
	DDX_Text(pDX, IDC_ZTRATYMODRY, m_m_mrtvol);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CStatsDlg, CDialog)
	//{{AFX_MSG_MAP(CStatsDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CStatsDlg message handlers
