/*******************************************************************************/
//  Bernard Lidicky - 2000
//  Hippo Games
//  Life
//  Life.cpp
/*******************************************************************************/

#include "stdafx.h"
#include "Life.h"

#include "MainFrm.h"
#include "AboutDlg.h"



HDDraw ddraw; // obekt DirectDraw - obrazovka

/////////////////////////////////////////////////////////////////////////////
// CLifeApp

BEGIN_MESSAGE_MAP(CLifeApp, CWinApp)
	//{{AFX_MSG_MAP(CLifeApp)
	ON_COMMAND(ID_APP_ABOUT, OnAppAbout)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CLifeApp construction

CLifeApp::CLifeApp()
{
	srand((unsigned)time(NULL));
}

/////////////////////////////////////////////////////////////////////////////
// The one and only CLifeApp object

CLifeApp theApp; // objekt aplikace

/////////////////////////////////////////////////////////////////////////////
// CLifeApp initialization

BOOL CLifeApp::InitInstance()
{
//	SetRegistryKey(_T("Hippo Games")); // zapis do registru se nepouziva

	// Tvorba hlaniho okna
	CMainFrame* pFrame = new CMainFrame;
	m_pMainWnd = pFrame;

	pFrame->ShowWindow(SW_SHOW);

	// HDDraw init
	if(!ddraw.CreateFullScreen(m_pMainWnd->m_hWnd,640,480,0)) return FALSE;
	
	pFrame->UpdateWindow();
	pFrame->SendMessage(WM_INITED); // oznamime inicializaci

	return TRUE;
}

/////////////////////////////////////////////////////////////////////////////
// CLifeApp message handlers



// App command to run the dialog
void CLifeApp::OnAppAbout()
{
	CAboutDlg aboutDlg;
	aboutDlg.DoModal();
}

/*******************************************************************************/
int Nahoda(int kolik)
{
	return (rand()*kolik/RAND_MAX);
}
/******************************************************************************/
void ZobrazKurzor(BOOL yes){
	static int sh = 0;
	if(yes == TRUE) while(sh < 0){ 
		ShowCursor(TRUE); 
		sh++;
	}
	else while(sh >= 0){ 
		ShowCursor(FALSE); 
		sh--;
	}
}

