/*******************************************************************************/
//  Bernard Lidicky - 2000
//  Hippo Games
//  Life
//  NastavDlg.cpp
/*******************************************************************************/

#include "stdafx.h"
#include "Life.h"
#include "MainFrm.h"
#include "NastavDlg.h"

/////////////////////////////////////////////////////////////////////////////
// CNastavDlg dialog


CNastavDlg::CNastavDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CNastavDlg::IDD, pParent)
{
	m_pMF  = (CMainFrame*) pParent;

	//{{AFX_DATA_INIT(CNastavDlg)
	m_msRok        = m_pMF->m_msRok        ;
	m_p_narozeni   = m_pMF->m_p_narozeni   ;
	m_p_osamoceni  = m_pMF->m_p_osamoceni  ;
	m_p_premnozeni = m_pMF->m_p_premnozeni ;
	m_p_r_premn    = m_pMF->m_p_r_premn    ;
	m_p_r_osam     = m_pMF->m_p_r_osam     ;
	m_lebne        = m_pMF->m_lebenshow    ;
	//}}AFX_DATA_INIT
}


void CNastavDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CNastavDlg)
	DDX_Text(pDX, IDC_MSROK, m_msRok);
	DDX_Text(pDX, IDC_NAROZENI, m_p_narozeni);
	DDX_Text(pDX, IDC_OSAMOCENI, m_p_osamoceni);
	DDX_Text(pDX, IDC_PREMNOZENI, m_p_premnozeni);
	DDX_Text(pDX, IDC_RANDMREMN, m_p_r_premn);
	DDX_Text(pDX, IDC_RANDOSAM, m_p_r_osam);
	DDX_Check(pDX, IDC_LEBNE, m_lebne);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CNastavDlg, CDialog)
	//{{AFX_MSG_MAP(CNastavDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CNastavDlg message handlers

void CNastavDlg::OnOK() 
{
	UpdateData();

	 m_pMF->m_msRok        = m_msRok       ;
	 m_pMF->m_p_narozeni   = m_p_narozeni  ;
	 m_pMF->m_p_osamoceni  = m_p_osamoceni ;
	 m_pMF->m_p_premnozeni = m_p_premnozeni;
	 m_pMF->m_p_r_premn    = m_p_r_premn   ;
	 m_pMF->m_p_r_osam     = m_p_r_osam    ;
	 m_pMF->m_lebenshow    = m_lebne       ;

	CDialog::OnOK();
}
